/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.anschrift.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QAnschrift extends EntityPathBase<Anschrift> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// CustomDataStorage
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QAnschrift anschrift = new QAnschrift("anschrift");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final EnumPath<de.ivu.elect.business.anschrift.entity.AnschriftArt> anschriftArt = createEnum("anschriftArt", de.ivu.elect.business.anschrift.entity.AnschriftArt.class);

  public final StringPath bundesland = createString("bundesland");

  public final StringPath hausnummer = createString("hausnummer");

  public final StringPath hausnummerzusatz = createString("hausnummerzusatz");

  public final StringPath ort = createString("ort");

  public final StringPath ortsteil = createString("ortsteil");

  public final StringPath plz = createString("plz");

  public final StringPath postfach = createString("postfach");

  public final StringPath staat = createString("staat");

  public final StringPath strasse = createString("strasse");

  public final StringPath wohnungsnummer = createString("wohnungsnummer");

  public final StringPath zustellanweisung = createString("zustellanweisung");


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.customdata.entity.QCustomDataStorage customDataStorage;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QAnschrift(Class<? extends Anschrift> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.customDataStorage = inits.isInitialized("customDataStorage") ? new de.ivu.elect.business.customdata.entity.QCustomDataStorage(forProperty("customDataStorage"), inits.get("customDataStorage")) : null;// de.ivu.elect.business.customdata.entity.QCustomDataStorage.customDataStorage;
  }

  public QAnschrift(String variable) {
    this(Anschrift.class, forVariable(variable), INITS);
  }

  public QAnschrift(Path<? extends Anschrift> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QAnschrift(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QAnschrift(PathMetadata metadata, PathInits inits) {
    this(Anschrift.class, metadata, inits);
  }
}
